#
# spec file for package bonk
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           bonk
Version:        0.4.0+g0
Release:        1.3
Summary:        Touch with mkdir tool
License:        MIT
Group:          System/Console
URL:            https://github.com/elliot40404/bonk
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  cargo-packaging

%description
Bonk is a touch alternative with an added feature to
create directories.

%prep
%autosetup

%build
%{cargo_build}

%install
%{cargo_install}

%files
%license LICENSE
%doc README.md
%{_bindir}/bonk

%changelog
* Mon Mar 18 2024 Joshua Smith <smolsheep@opensuse.org>
- Update to version 0.4.0+g0:
  * refactor and add scoop support
  * Update main.rs
  * updated readme
  * removed all unwraps
  * Error Handling added for file and dir
  * fixed panic on no args
* Tue Oct 31 2023 Soc Virnyl Estela <contact@uncomfyhalomacro.pl>
- Update to version 0.3.2+g4:
  * Update main.rs. fixes issues when parameters creates files
* Wed Oct 19 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Initial spec for bonk version 0.3.2
